Skip to content

Remove a tag from selected rows.

POST
/api/workspace/entity/{entityIdOrKey}/instances/bulk/tags/remove
curl --request POST \
--url https://example.com/api/workspace/entity/example/instances/bulk/tags/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Rows": [ { "InstanceId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "InputOrdinal": 1, "CallerCorrelation": "example" } ], "TagName": "example", "Color": "example", "Category": "example" }'
entityIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Selected runtime entity instances and tag metadata for a bulk tag operation.

object
OperationKey

Stable caller key used to derive replay-safe per-row operation keys.

string format: uuid
Rows

Explicitly selected rows.

Array<object>
nullable

One selected runtime entity instance in a bulk action request.

object
InstanceId

Selected entity instance identifier.

string
nullable
RowVersion

Expected runtime row version when the operation mutates the row.

string format: uuid
nullable
InputOrdinal

Caller-provided input position used for safe per-item correlation.

integer format: int32
nullable
CallerCorrelation

Optional caller-provided opaque correlation value.

string
nullable
TagName

Tag name to add or remove.

string
nullable
Color

Optional hex color for new tags.

string
nullable
Category

Optional tag category.

string
nullable
Examplegenerated
{
"OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"Rows": [
{
"InstanceId": "example",
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"InputOrdinal": 1,
"CallerCorrelation": "example"
}
],
"TagName": "example",
"Color": "example",
"Category": "example"
}

OK

Media typeapplication/json
object
Data
object
OperationKey
string format: uuid
Items
Array
nullable
One of: discriminator: Kind
object
Data
required
object
EntityDefinitionId
required
string
EntityInstanceId
required
string
RowVersion
required
string format: uuid
CanViewResult
required
boolean
Kind
required
string
Allowed values: AuthorizedEntityIdentity
Kind
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": "AuthorizedEntityIdentity"
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
object
OperationKey
string format: uuid
Items
Array
nullable
One of: discriminator: Kind
object
Data
required
object
EntityDefinitionId
required
string
EntityInstanceId
required
string
RowVersion
required
string format: uuid
CanViewResult
required
boolean
Kind
required
string
Allowed values: AuthorizedEntityIdentity
Kind
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": "AuthorizedEntityIdentity"
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
object
OperationKey
string format: uuid
Items
Array
nullable
One of: discriminator: Kind
object
Data
required
object
EntityDefinitionId
required
string
EntityInstanceId
required
string
RowVersion
required
string format: uuid
CanViewResult
required
boolean
Kind
required
string
Allowed values: AuthorizedEntityIdentity
Kind
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": "AuthorizedEntityIdentity"
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data
object
OperationKey
string format: uuid
Items
Array
nullable
One of: discriminator: Kind
object
Data
required
object
EntityDefinitionId
required
string
EntityInstanceId
required
string
RowVersion
required
string format: uuid
CanViewResult
required
boolean
Kind
required
string
Allowed values: AuthorizedEntityIdentity
Kind
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": "AuthorizedEntityIdentity"
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}